Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

sendmail.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: sendmail.php 6927 2001-09-04 12:06:17Z jhe $
5 //
6 // Created on: <14-Aug-2001 15:43:17 jhe>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 // Copyright (C) 1999-2001 eZ systems as
10 //
11 // This program is free software; you can redistribute it and/or
12 // modify it under the terms of the GNU General Public License
13 // as published by the Free Software Foundation; either version 2
14 // of the License, or (at your option) any later version.
15 //
16 // This program is distributed in the hope that it will be useful,
17 // but WITHOUT ANY WARRANTY; without even the implied warranty of
18 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
19 // GNU General Public License for more details.
20 //
21 // You should have received a copy of the GNU General Public License
22 // along with this program; if not, write to the Free Software
23 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
24 //
25
26 // include_once( "ezcontact/classes/ezcompany.php" );
27 // include_once( "ezcontact/classes/ezperson.php" );
28
29 $toArray = array();
30
31 if ( isset( $ContactArrayID ) )
32 {
33 foreach ( $ContactArrayID as $contact )
34 {
35 if ( $CompanyEdit )
36 $contact = new eZCompany( $contact );
37 else
38 $contact = new eZPerson( $contact );
39 $onlines = $contact->onlines();
40 $onlineCount = count( $onlines );
41 $loop = true;
42 $i = 0;
43 while ( $i < $onlineCount && $loop )
44 {
45 $onlineType = $onlines[$i]->onlineType();
46 if ( $onlineType->urlPrefix() == "mailto:" )
47 {
48 $toArray["Email"][] = $onlines[$i]->url();
49 $toArray["ID"][] = $contact->id();
50 $loop = false;
51 }
52 $i++;
53 }
54 }
55 }
56 $toArray["CompanyEdit"] = $CompanyEdit;
57 include( "kernel/ezmail/user/mailedit.php" );
58
59 ?>
$i
$i
Definition: admin/adlist.php:91
eZCompany
Definition: ezcompany.php:54
eZPerson
Definition: ezperson.php:43
$CompanyEdit
$CompanyEdit
Definition: companyedit.php:32
$toArray
$toArray
Definition: sendmail.php:29
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.